﻿@model IEnumerable<SSCMvc.Models.Todayworks>
@using SSCMvc.Models;

@{
    ViewBag.Title = "Todaywork";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

@section scripts
{
    <script src="~/Content/datatable/jquery.dataTables.min.js"></script>
    <link href="~/Content/datatable/jquery.dataTables.css" rel="stylesheet" />

    <script type="text/javascript">
        $(document).ready(function () {

            $("#txtfdate").datepicker();
            $("#txtdate").datepicker();
            $("#txtfdate").val('@ViewBag.date1');
            $("#txtdate").val('@ViewBag.date2');
            $("#btnShowReport").click(function () {
                var dt1 = $("#txtfdate").val();
                var dt2 = $("#txtdate").val();

                var format = $("#format").val();
                var area = $("#AreaId").val();

                if (dt1 != "" && dt2 != "") {
                    var a = document.createElement('a');
                    a.href = '/Home/Todaywork?date1=' + dt1 + '&date2=' + dt2;
                    document.body.appendChild(a);
                    a.click();
                }
                else {
                    alert("Select Dates");
                }

            });
        });
    </script>
}


<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Today Work
    </h1>
</div>
<ul class="breadcrumb">
    <li><a href="/Home/Index">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div style="background-color:white">
    <table width="100%">
        <tr>
            <td>
                <table>
                    <tr>
                        <td>
                            From Date <span style="color: Red">(*)</span>
                        </td>
                        <td>
                            To Date <span style="color: Red">(*)</span>
                        </td>


                    </tr>
                    <tr>
                        <td>
                            <input type="date" id="txtfdate" value="@ViewBag.date1" required />
                        </td>
                        <td>
                            <input type="date" id="txtdate" value="@ViewBag.date2" required />
                        </td>

                        <td valign="top">
                            <input type="button" value="Submit" class="btn btn-primary" id="btnShowReport" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td></td>
        </tr>
    </table>

    <table class="table">
        <thead>
            <tr>
                <th>
                    Work On
                </th>
                <th>
                    Nos
                </th>
            </tr>
        </thead>
        <tbody>
            @{
                int n = 0;
            }
            @foreach (Todayworks item in Model)
            {
                <tr>
                    <td>@item.Wtype</td>
                    <td>
                        @{
                            if (item.Wtype.Equals("Enquiry"))
                            {
                                <a href="/maenqfollow/pendingfollowup?dt1=@ViewBag.date1&dt2=@ViewBag.date2&dtype=CD" target="_blank">@item.Count</a>
                            }
                            else if (item.Wtype.Equals("IELTS"))
                            {
                                <a href="/maenqfollow/PendingIELTSFollowUp?dt1=@ViewBag.date1&dt2=@ViewBag.date2&rangeon=cdt" target="_blank">@item.Count</a>
                            }
                            else if (item.Wtype.Equals("MockTest"))
                            {
                                <a href="/maenqfollow/PendingMockFollowUp?dt1=@ViewBag.date1&dt2=@ViewBag.date2&rangeon=cdt" target="_blank">@item.Count</a>
                            }
                            else
                            {
                                @item.Count

                            }
                        }

                    </td>
                </tr>
                                n += item.Count;
                            }
            <tr>
                <td>
                    Total
                </td>
                <td>
                    <strong>@n</strong>
                </td>
            </tr>
        </tbody>
    </table>
    <p>
        <strong>
            IELTS= IELTS Exam Followup<br />
            Mocktest=Mock Test Followup<br />
            Enquiry=Enquiry Followup<br />
            VisaEnquiry=Followup for Visa Students from Enquiry<br />
            VisaIelts=Followup up for Visa for IELTS students<br />
            VisaIELTSAdmission=Followup for Visa Students from Admission<br />
        </strong>
    </p>
</div>
